## libgtkada 2.24.1

=== docs/Makefile ===
all:: 
	${MAKE} -C gtkada_rm
	${MAKE} -C gtkada_ug

install::
	${MAKE} -C gtkada_rm install
	${MAKE} -C gtkada_ug install

clean::
	${MAKE} -C gtkada_rm clean
	${MAKE} -C gtkada_ug clean

distclean::
	${MAKE} -C gtkada_rm distclean
	${MAKE} -C gtkada_ug distclean

=== examples/Makefile ===
include ../src/Makefile.common

examples=$(prefix)/share/examples/gtkada/

ifeq (${OS},Windows_NT)
DIRSEP=;
else
DIRSEP=:
endif

# Some examples are build with project files, others with gtkada-config, so
# we modify the following two environment variables so that the GtkAda version
# we just installed can be used to compile the examples
export ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}
export PATH:=${prefix}/bin:${PATH}

DIRECTORIES=base_widget \
  calendar_combo        \
  composite_widget      \
  doublebuffer          \
  documentation         \
  dynamic_cast          \
  gtk_examples          \
  tutorial              \
  handlers		\
  powergnu		\
  images                \
  cursors               \
  user_data

TUTORIAL_DIRS=tutorial/gtkdial \
  tutorial/helloworld  \
  tutorial/helloworld2 \
  tutorial/packbox     \
  tutorial/simple      \
  tutorial/table       \
  tutorial/tictactoe

SHELL=sh

all: ${DIRECTORIES}
	@for file in ${DIRECTORIES}; do \
	  make -C $${file} all || exit 1; \
	done

install:
	mkdir -p "${DESTDIR}$(examples)"
	-for dir in ${DIRECTORIES} ${TUTORIAL_DIRS}; do \
	  mkdir -p "${DESTDIR}$(examples)/$${dir}"; \
	  rm -f $${dir}/b~*; \
	  cp -p $${dir}/*.ad? $${dir}/*.gpr "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
	  cp -p $${dir}/Makefile "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
	  cp -p $${dir}/README "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
	done

clean::
	@for file in ${DIRECTORIES}; do \
	  make -C $${file} clean; \
	done

=== projects/Makefile ===
include ../src/Makefile.common

MKDIR = mkdir -p

SOVER=${MAJOR}.${MINOR}

install: force
	${MKDIR} "${DESTDIR}$(prefix)/lib/gnat/"
	${MKDIR} "${DESTDIR}$(prefix)/lib/gnat/gtkada"
	$(MKDIR) "${DESTDIR}$(prefix)/lib/pkgconfig/"
	${CP} gtkada.pc "${DESTDIR}$(prefix)/lib/pkgconfig/"
	-${RM} "${DESTDIR}${prefix}"/projects/gtkada*
	./generate_prj.sh GtkAda "${prefix}" ${DEFAULT_LIBRARY_TYPE} ${SOVER} ""
	${CP} gtkada.gpr "${DESTDIR}${prefix}/lib/gnat/"
ifeq ($(HAVE_LIBGLADE), True)
	./generate_prj.sh GtkAda_Glade "${prefix}" ${DEFAULT_LIBRARY_TYPE} ${SOVER} ""
	${CP} gtkada_glade.gpr ${prefix}/lib/gnat/
endif	
ifeq ($(HAVE_OPENGL), True)
	./generate_prj.sh GtkAda_GL "${prefix}" ${DEFAULT_LIBRARY_TYPE} ${SOVER} opengl
	${CP} gtkada_gl.gpr "${DESTDIR}${prefix}/lib/gnat/"
endif	
ifeq ($(HAVE_GNOME), True)
	./generate_prj.sh GtkAda_Gnome "${prefix}" ${DEFAULT_LIBRARY_TYPE} ${SOVER} ""
	${CP} gtkada_gnome.gpr "${DESTDIR}${prefix}/lib/gnat/"
endif	
ifeq ($(OS),Windows_NT)
	${CP} gtkada_install_*.gpr "${DESTDIR}${prefix}/include/gtkada"
endif

clean: force
	${RM} *.gpr 

force:

=== xml/Makefile ===
include ../src/Makefile.common

MKDIR = mkdir -p

install: force
	${MKDIR} "${DESTDIR}$(prefix)/share/gps/plug-ins"
	${CP} gtkada.xml "${DESTDIR}${prefix}/share/gps/plug-ins/"

force:

=== examples/cursors/Makefile ===
all:
	gnatmake -Pcursor
run:
	./cursor
clean: 
	gnat clean -Pcursor

=== examples/documentation/Makefile ===
EXEC=contextual banner toggle glist_traverse tooltips clist draw

all: ${EXEC}

${EXEC}::
	gnatmake -g -gnata -gnatwu $@ `gtkada-config`

clean::
	${RM} *.o *.ali b~* ${EXEC}

=== examples/powergnu/Makefile ===
CFLAGS = -g -O2 -gnata

EXEC = power

all: $(EXEC)

power: force
	gnatmake -m -gnatwu $(CFLAGS) $(EXEC) `gtkada-config`

force:

clean:
	rm -f *.o *.ali *~ b~* $(EXEC)

=== examples/user_data/Makefile ===
all:
	gnatmake test_handlers `gtkada-config`
clean:
	${RM} *.o *.ali b~* test_handlers

=== examples/tutorial/helloworld/Makefile ===
all: force
	gnatmake -g -gnata -gnaty -gnatwu hello `gtkada-config`
clean: 
	rm -f *.o *~ *.ali hello
force:

=== examples/tutorial/packbox/Makefile ===
all: force
	gnatmake -g -gnata -gnatwu packbox_test `gtkada-config`
run: all
	./packbox_text 1
	./packbox_text 2
	./packbox_text 3
clean: 
	rm -f *.o *~ *.ali packbox_test
force:

=== debian/changelog ===
libgtkada (2.24.1-14) unstable; urgency=low

  [ Jean-Baptiste Lallement ]
  *  Add missing dependency 'libglu1-mesa-dev | libglu-dev' to
     libgtkglada2.24.1-dev. (LP: #1244896) (Closes: #727753)
     This completes the work-around for  #720991 explained in debian/rules.

  [ Nicolas Boulenguez ]
  * Standards-Version: 3.9.5 without changes.
  * source/options: use default compressor for Debian diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 07 Nov 2013 00:33:29 +0100

libgtkada (2.24.1-13) unstable; urgency=low

  * Revert "share library_dir" changes, which sometimes FTBFS: dynamic/static
    variants of same ALI may conflict depending on compilation order.
  * control (Build-Depends): provide concrete mesa-dev before virtual gl-dev.
  * rules: let info page search images in /usr/share/doc/.
    Only duplicate versioned project for -arch and after the first one exists.
  * source.lintian-overrides: correct syntax.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Aug 2013 14:14:04 +0200

libgtkada (2.24.1-12) unstable; urgency=low

  [Martin Pitt <martin.pitt@ubuntu.com]
  * Add missing libgtkgl2.0-dev dependency to libgtkglada2.24.1-dev (spotted
    by autopkgtest). Closes: #718259.
  * debian/tests/control: Add xvfb test dependency.
  * debian/tests/link-with-shared: Run test program through xvfb as it needs a
    $DISPLAY.

  [Nicolas Boulenguez]
  * Remove any symlink in documentation directories.
  * Build-Depends: unversioned cairo-dev and gl-dev.
  * gtkada-config: more efficient generation. Split arch/indep install
    overrides so that sed is only called for existing package.
  * Share library_dir. Use src/tools/obj/, no reason to create ours.
  * Use pkg-config for LDLIBS. I removed it because it created unneeded
    dependencies, but --as-needed drops them automatically now.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Aug 2013 20:14:26 +0200

libgtkada (2.24.1-11) unstable; urgency=low

  * copyright: now machine-readable.
  * lintian-overrides: a patch removing a non DFSG license must contain it
  * rules, patches/01-doc.diff: typo in manpage, COPYING as license.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 22 Jul 2013 19:24:27 +0200

libgtkada (2.24.1-10) unstable; urgency=low

  * Add -lm to the gtkada.gpr link list (Closes: #695055).
    Patch from Thorsten Glaser.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 15 Jul 2013 19:14:24 +0200

libgtkada (2.24.1-9) unstable; urgency=low

  * control: Testsuite field used by automatic checkers. Closes: #692679.
    Removed obsolete DM-Upload-Allowed field.
    Standards-Version: 3.9.3 -> 3.9.4 without changes.
    Build-Depends: explicit direct dependency on pkg-config.
  * tools.gpr: does not need C flags for Ada only sources.
  * debian/*: use my debian mail address.
  * tests: valid test names may not contain underscores.
    And must not write to stderr if successful.
  * Build-Depends, gtkglada.gpr: use libgtkgl-2.0 instead of src/opengl/*.c.
  * rules: updated run-tests target, cosmetic changes in comments.
  * rules, ada_libraries, control, *.gpr: replaced gprbuild with gnatmake.
    Each library needs its own obj subdirectory for each build.
    Order of linker options becomes compatible with architectures where
    --as-needed is the default.
   I hope that is Closes: #695055 and various shlibs-symbol-not-found.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jun 2013 11:05:41 +0200

libgtkada (2.24.1-8) unstable; urgency=low
  
  * debian/patches/no_gtkextra.patch: revive, upstream's testgtk still
    depends on GtkExtra which is dead upstream and no longer in Debian.
    Closes: #686781.
  * debian/patches/04-testgtk.patch (testgtk.gpr): force linking with
    libGLU.so since libgtkglada.so is not linked to it.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  5 Sep 2012 22:51:30 +0200

libgtkada (2.24.1-7) unstable; urgency=low

  * debian/control (Build-Depends): tighten to gprbuild (>= 2011-2).
    Fixes FTBFS caused by #679061.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 26 Jun 2012 21:39:40 +0200

libgtkada (2.24.1-6) unstable; urgency=low

  * control: Build-Depend dpkg-dev (>= 1.16.2) so that build-arch is
    preferred to build, see http://wiki.debian.org/Build-Depends-Indep
    (this caused a FTBS on mips/mipsel).
  * rules: prepend CPPFLAGS to CFLAGS before exporting to projects
    (hardening preprocessor flags were ignored).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 22 Jun 2012 21:23:55 +0200

libgtkada (2.24.1-5) unstable; urgency=low

  [Nicolas Boulenguez]
  * rules, *.gpr, ada_libraries: switched to dh_ada_library.
  * rules, control, compat: dh (>= 9) should handle build target.
  * control: Standards-Version: 3.9.3 (no changes)
    -dev packages cannot be Multi-Arch: same as they embed a project file
    whose content mentions lib/TRIPLET subdirectories (Closes: #669998).
    -dbg packages can be Multi-Arch: same without Pre-Depends as they do not
    need the linker at install time.
  * rules:
    Standard /usr/share/dpkg/default.mk from dpkg-dev (>= 1.16.1)
    Gprbuild now selects gnatgcc instead of gcc automatically.
  * tests: import versioned project, to test both versions in one go.
  * patches/include_only_glib_h: documented.

  [Ludovic Brenta]
  * Build-Depend: dh-ada-library >= 2 to avoid a bug affecting gtkada.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 10 May 2012 23:49:34 +0200

libgtkada (2.24.1-4) unstable; urgency=low

  [Nicolas Boulenguez]
  * Internal dependencies are very redundant because the package names
    contain version numbers. We generate them with deb-substvars to ease
    next ali or so version bump. This implies a lintian override.
  * Correct -v option in test.

  [Ludovic Brenta]

  * debian/patches/include_only_glib_h.patch: new.  Closes: #665570.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 24 Mar 2012 23:45:17 +0100

libgtkada (2.24.1-3) unstable; urgency=low

  [Nicolas Boulenguez]


=== debian/control ===
Source: libgtkada
Section: libs
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
 gnat, gnat-4.6,
 dh-ada-library (>= 5.4),
 pkg-config,
 libgnomeui-dev,
 libbonoboui2-dev,
 libgtk2.0-dev (>= 2.24.0),
 libgtkgl2.0-dev,
 libgdk-pixbuf2.0-dev,
 libcairo-dev,
 libpango1.0-dev,
 libglib2.0-dev,
 libx11-dev,
 libglu1-mesa-dev | libglu-dev,
 libgl1-mesa-dev | libgl-dev
# dh-ada-library 5.4 stops linking doc directories.
# *-dev are detailed in rules, and shoud be repeated in Depends: *-dev below.
Build-Depends-Indep: texinfo, texlive-fonts-recommended,
 texlive-generic-recommended, texlive-latex-base,
 transfig, netpbm, ghostscript
Standards-Version: 3.9.5
Homepage: http://libre.adacore.com/libre/tools/gtkada
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
XS-Testsuite: autopkgtest

Package: libgtkada2.24.1-dev
Section: libdevel
Architecture: any
Depends: ${ada:Depends},
 libgtkada-bin (=${binary:Version}),
 libcairo-dev,
 libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libgtk2.0-dev (>= 2.24.0),
 libpango1.0-dev,
 libx11-dev,
 ${misc:Depends}
Suggests: libgnomeada2.24.1-dev (= ${binary:Version}),
 libgtkglada2.24.1-dev (= ${binary:Version}),
 libgtkada-doc (= ${binary:Version})
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgnomeada2.24.1-dev
Section: libdevel
Architecture: any
Depends: ${ada:Depends},
 libgnomeui-dev, libbonoboui2-dev,
 ${misc:Depends}
Suggests: libgtkada-doc (=${binary:Version})
Description: Ada binding for the GNOME GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries for
 GNOME extensions.

Package: libgtkglada2.24.1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libgtkgl2.0-dev,
 libglu1-mesa-dev | libglu-dev,
 libgl1-mesa-dev | libgl-dev
Suggests: libgtkada-doc (= ${binary:Version})
Description: Ada binding for GTK+ OpenGL extensions (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries for
 the OpenGL extensions.

Package: libgtkada-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: gdb (>= 6.8), ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada binding for the GTK+ GUI (debugging symbols)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the debugging symbols.

Package: libgnomeada-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: gdb (>= 6.8),  ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada binding for the GNOME GUI (debugging symbols)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the debugging symbols for the GNOME extensions.

Package: libgtkglada-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: gdb (>= 6.8),  ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada binding for GTK+ OpenGL extensions (debugging symbols)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the debugging symbols for the OpenGL extensions.

Package: libgtkada2.24.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgnomeada2.24.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GNOME GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GNOME.

Package: libgtkglada2.24.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for GTK+ OpenGL extensions (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language
 .
 This library will let you run GtkAda applications compiled with OpenGL
 support.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc (=${binary:Version})
Replaces: libgtkada2-bin
Breaks: libgtkada2-bin
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains development utilities (gtkada-dialog and gtkada-config).

Package: libgtkada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Replaces: libgtkada2-doc
Breaks: libgtkada2-doc
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the User's Guide and Reference Manual for GtkAda, in
 HTML, Info, PDF and ASCII formats.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libgtkada
# Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2011-2013 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL-3 on Debian systems.

.SUFFIXES:

binary binary-arch binary-indep build build-arch build-indep clean:
	dh $@ --with ada-library

# Ignore upstream's build system
override_dh_auto_configure:
override_dh_auto_build-arch:: # Will receive prerequisites
override_dh_auto_build-indep: # Will receive prerequisites
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean::      # Will receive recipes

######################################################################

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk
CFLAGS += -Wall -Wextra -fstack-check
ADAFLAGS += -Wall -Wextra -fstack-check -gnatVa -gnata -gnatf -gnatn -gnato

exported_var_names := ADAFLAGS LDFLAGS \
  gtkada_SOVERSION gtkada_LDLIBS \
  gnomeada_SOVERSION gnomeada_LDLIBS \
  gtkglada_SOVERSION gtkglada_LDLIBS
exported_variables = $(foreach v,$(exported_var_names),"-X$(v)=$($(v))")

######################################################################
# We override the dh_ada_library instead of using a file because we
# need to export LDLIBS variables. SOVERSIONS will be ignored but need
# to be defined.
# The override comes very soon, so that every library may append
# recipes creating a versioned one for compatibility.

override_dh_ada_library::
	dh_ada_library $(foreach l,gtkada gtkglada gnomeada, \
          KIND=dynamic \
          $(foreach v,$(exported_var_names),"$(v)=$($(v))") \
          debian/$(l).gpr)

######################################################################

# Template to avoid redundant code for libraries.

define library_template
# 1: library name, as in libNAME.so.xxx
# 1_pkg_config: arguments for pkg-config.
# 1_VERSIONED_GPR: if not empty, add a compatibility copy of system gpr file.

$(1)_SOVERSION  := $(shell sed -n -r 's/^Package: lib$(1)([[:digit:].]+)$$/\1/p' debian/control)
$(1)_LDLIBS     := `pkg-config --libs-only-l $($(1)_pkg_config)`

override_dh_auto_build-arch::
	gnatmake -Pdebian/$(1).gpr -XKIND=dynamic $(BUILDER_OPTIONS) $$(exported_variables)
	gnatmake -Pdebian/$(1).gpr -XKIND=static  $(BUILDER_OPTIONS) $$(exported_variables)
override_dh_auto_clean::
	rm -f debian/$(1)_lib_dynamic/* \
              debian/$(1)_lib_static/* \
              debian/$(1)_obj_dynamic/* \
              debian/$(1)_obj_static/*
# The shared library dir only needs to be cleaned once.

# For compatibility with previous versions, add a duplicate project
# with a versioned name. Of course, this is only possible after
# dh_ada_library has created the first one.
# The -dev subdir may not exist (for -indep targets).
ifneq (,$($(1)_VERSIONED_GPR))
override_dh_ada_library::
	if cd debian/lib$(1)*-dev/usr/share/ada/adainclude 2> /dev/null; then \
          sed -e "s/library project $(1) is/library project $(1)2 is/" \
              -e "s/end $(1);/end $(1)2;/" \
              $(1).gpr > $(1)2.gpr; \
        fi
endif

endef # library_template

######################################################################

##########
# gtkada #
##########

# The sources, Ada and C, call these C functions:
#   cairo_* gdk_* g_* g_module_* gtk_* pango_* XWarpPointer
# When this list changes, update:
#   control: Build-Depends
#   control: Depends for libgtkada*-dev
#   and this variable:
gtkada_pkg_config := cairo gdk-2.0 glib-2.0 gmodule-2.0 gtk+-2.0 pango x11
# In case you are wondering, gmodule is part of libglib-dev.

# Compile C files into the object directory, so that gnatlink embeds
# them. The project must mention the C language, and we must store
# objects from distinct libraries in distinct directories.
C_SRC := $(wildcard src/*.c)

C_DYNAMIC := $(patsubst src/%.c,debian/gtkada_obj_dynamic/%.o,$(C_SRC))
C_STATIC  := $(patsubst src/%.c,debian/gtkada_obj_static/%.o,$(C_SRC))
override_dh_auto_build-arch:: $(C_DYNAMIC) $(C_STATIC)
$(C_DYNAMIC) $(C_STATIC): CFLAGS += `pkg-config --cflags-only-I $(gtkada_pkg_config)`
$(C_DYNAMIC): debian/gtkada_obj_dynamic/%.o: src/%.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@ -fPIC
$(C_STATIC): debian/gtkada_obj_static/%.o: src/%.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
# Will be cleaned as Ada objects.

override_dh_auto_build-arch:: src/gtkada-intl.adb
src/gtkada-intl.adb: src/gtkada-intl.gpb
	gnatprep -DGETTEXT_INTL=False -DHAVE_GETTEXT=True $< $@
override_dh_auto_clean::
	rm -f src/gtkada-intl.adb

$(C_STATIC) $(C_DYNAMIC): src/config.h
src/config.h: src/config.h.in
	touch $@
override_dh_auto_clean::
	rm -f src/config.h

gtkada_VERSIONED_GPR := true
$(eval $(call library_template,gtkada))

gtkada_LDLIBS += -lm
# Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
# either built in gcc or provided by -lm, depending on the architecture.

############
# gtkglada #
############

# The only C source files, gdkgl.[ch] and gtkglarea.[ch], are ignored
# in favor of the packaged libgtkgl-dev.
# The Ada sources call these C functions:
# gl[A-Z]* glu[A-Z]* g[dt]k_gl_*
# However, no glu function is ever actually called and we can drop the
# dependency. But we Build-Depend: libglu-dev to circumvent #720991.
# When this list changes, update:
#   control: Build-Depends
#   control: Depends for libgtkglada*-dev
#   and this variable:
gtkglada_pkg_config := gl gtkgl-2.0

# It seems that x11 is not needed anymore for gtkglada.

$(eval $(call library_template,gtkglada))

############
# gnomeada #
############

# The sources, only in Ada, call these C functions: bonobo_* gnome_*.
# When this list changes, update:
#   control: Build-Depends
#   control: Depends for libgnomeada*-dev
#   and this variable:
gnomeada_pkg_config := libbonoboui-2.0 libgnomeui-2.0

gnomeada_VERSIONED_GPR := true
$(eval $(call library_template,gnomeada))

######################################################################

TOOLS := src/tools/obj/gtkada-dialog

override_dh_auto_build-arch::
	gnatmake -Pdebian/tools.gpr -XKIND=dynamic $(BUILDER_OPTIONS) $(exported_variables)
override_dh_auto_clean::
	rm -f src/tools/obj/*

override_dh_install-arch::
	dh_install --package=libgtkada-bin $(TOOLS) usr/bin
	dh_installman --package=libgtkada-bin docs/gtkada-dialog.1

######################################################################

GTKADA_CONFIG := debian/gtkada-config
GTKADA_CONFIG_VARS := \
  DEB_HOST_MULTIARCH \
  gtkada_LDLIBS \
  gtkada_SOVERSION

override_dh_auto_build-arch:: $(GTKADA_CONFIG)
override_dh_install-arch::
	dh_install --package=libgtkada-bin $(GTKADA_CONFIG) usr/bin
	dh_installman --package=libgtkada-bin docs/gtkada-config.1

$(GTKADA_CONFIG): %: %.sed
	sed $< $(foreach v,$(GTKADA_CONFIG_VARS),-e 's/@$(v)@/$($(v))/') > $@
override_dh_auto_clean::
	rm -f $(GTKADA_CONFIG)

######################################################################

TESTGTK_TGZ := testgtk.tgz

override_dh_auto_build-indep: $(TESTGTK_TGZ)
override_dh_install-indep::
	dh_installexamples --package=libgtkada-doc $(TESTGTK_TGZ)

$(TESTGTK_TGZ):
	tar czf $@ testgtk
override_dh_auto_clean::
	rm -f $(TESTGTK_TGZ)

######################################################################

UG_DIR := docs/gtkada_ug


UG_TXT  := $(UG_DIR)/gtkada_ug.txt
override_dh_auto_build-indep: $(UG_TXT)
override_dh_install-indep::
	dh_installdocs --package=libgtkada-doc $(UG_TXT)

=== debian/tests/control ===
Tests: link-with-shared
Depends: @, xvfb

=== debian/watch ===
# The upstream tarball download system is too complicated to be
# described in a watch file. Please read the README.source file in
# this directory for more information.

## libgtkada 2.24.4

=== docs/gtkada_ug/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GtkAda.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GtkAda.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GtkAda"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GtkAda"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
libgtkada (2.24.4-1) unstable; urgency=medium

  * New upstream release. Updated repackaging (xz), patches, README.source.
  * Package renamings per Ada policy. Versioned preinst not needed anymore.
  * links: instead of embedding javascript in generated html.
  * lintian-overrides: license not repeated despite file names.
  * rules: run-tests target obsoleted by sadt from devscripts.
  * tests: xvfb-run depends on xauth for Debian tests. Closes: #740742.
  * (Build-)Depends: concrete cairo2-dev before virtual cairo-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 11 May 2014 16:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,45 +4,47 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
- gnat, gnat-4.6,
+ gnat, gnat-4.9,
+# dh-ada-library 5.4 stops linking doc directories.
  dh-ada-library (>= 5.4),
  pkg-config,
+# *-dev are detailed in rules, and shoud be repeated in Depends: *-dev below.
  libgnomeui-dev,
  libbonoboui2-dev,
  libgtk2.0-dev (>= 2.24.0),
  libgtkgl2.0-dev,
  libgdk-pixbuf2.0-dev,
- libcairo-dev,
+ libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
  libglib2.0-dev,
  libx11-dev,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev
-# dh-ada-library 5.4 stops linking doc directories.
-# *-dev are detailed in rules, and shoud be repeated in Depends: *-dev below.
-Build-Depends-Indep: texinfo, texlive-fonts-recommended,
- texlive-generic-recommended, texlive-latex-base,
- transfig, netpbm, ghostscript
+Build-Depends-Indep:
+ python-sphinx,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
 Standards-Version: 3.9.5
 Homepage: http://libre.adacore.com/libre/tools/gtkada
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
 Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
 XS-Testsuite: autopkgtest
 
-Package: libgtkada2.24.1-dev
+Package: libgtkada2.24.4-dev
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
  libgtkada-bin (=${binary:Version}),
- libcairo-dev,
+ libcairo2-dev | libcairo-dev,
  libgdk-pixbuf2.0-dev,
  libglib2.0-dev,
  libgtk2.0-dev (>= 2.24.0),
  libpango1.0-dev,
  libx11-dev,
  ${misc:Depends}
-Suggests: libgnomeada2.24.1-dev (= ${binary:Version}),
- libgtkglada2.24.1-dev (= ${binary:Version}),
+Suggests: libgnomeada2.24.4-dev (= ${binary:Version}),
+ libgtkglada2.24.4-dev (= ${binary:Version}),
  libgtkada-doc (= ${binary:Version})
 Description: Ada binding for the GTK+ GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
@@ -50,7 +52,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgnomeada2.24.1-dev
+Package: libgnomeada2.24.4-dev
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
@@ -64,7 +66,7 @@
  This package contains the development files and static libraries for
  GNOME extensions.
 
-Package: libgtkglada2.24.1-dev
+Package: libgtkglada2.24.4-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
@@ -121,7 +123,7 @@
  .
  This package contains the debugging symbols for the OpenGL extensions.
 
-Package: libgtkada2.24.1
+Package: libgtkada2.24.4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -132,7 +134,7 @@
  .
  This library will let you run Ada applications compiled with GTK+.
 
-Package: libgnomeada2.24.1
+Package: libgnomeada2.24.4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -143,7 +145,7 @@
  .
  This library will let you run Ada applications compiled with GNOME.
 
-Package: libgtkglada2.24.1
+Package: libgtkglada2.24.4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -171,7 +173,10 @@
 Package: libgtkada-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+# Link to the packaged versions instead of embedding the source.
+ libjs-jquery,
+ libjs-underscore
 Suggests: gnat
 Replaces: libgtkada2-doc
 Breaks: libgtkada2-doc
@@ -179,5 +184,5 @@
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
  .
- This package contains the User's Guide and Reference Manual for GtkAda, in
- HTML, Info, PDF and ASCII formats.
+ This package contains the User's Guide for GtkAda, in
+ HTML, PDF and plain text formats.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for libgtkada
 # Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2011-2013 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2011-2014 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,11 @@
 
 .SUFFIXES:
 
-binary binary-arch binary-indep build build-arch build-indep clean:
+######################################################################
+POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
+ build-indep clean
+.PHONY: $(POLICY_TARGETS)
+$(POLICY_TARGETS):
 	dh $@ --with ada-library
 
 # Ignore upstream's build system
@@ -49,7 +53,7 @@
 # The override comes very soon, so that every library may append
 # recipes creating a versioned one for compatibility.
 
-override_dh_ada_library::
+override_dh_ada_library-arch::
 	dh_ada_library $(foreach l,gtkada gtkglada gnomeada, \
           KIND=dynamic \
           $(foreach v,$(exported_var_names),"$(v)=$($(v))") \
@@ -82,7 +86,7 @@
 # dh_ada_library has created the first one.
 # The -dev subdir may not exist (for -indep targets).
 ifneq (,$($(1)_VERSIONED_GPR))
-override_dh_ada_library::
+override_dh_ada_library-arch::
 	if cd debian/lib$(1)*-dev/usr/share/ada/adainclude 2> /dev/null; then \
           sed -e "s/library project $(1) is/library project $(1)2 is/" \
               -e "s/end $(1);/end $(1)2;/" \
@@ -220,12 +224,5 @@
 	rm -f $(TESTGTK_TGZ)
 
 ######################################################################
-
 UG_DIR := docs/gtkada_ug
-
-
-UG_TXT  := $(UG_DIR)/gtkada_ug.txt
-override_dh_auto_build-indep: $(UG_TXT)
-override_dh_install-indep::
-	dh_installdocs --package=libgtkada-doc $(UG_TXT)
-
+UG_BUILD := $(UG_DIR)/_build

## libgtkada 2.24.4dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -11,19 +11,20 @@
 # Some examples are build with project files, others with gtkada-config, so
 # we modify the following two environment variables so that the GtkAda version
 # we just installed can be used to compile the examples
-export ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}
-export PATH:=${prefix}/bin:${PATH}
+export ADA_PROJECT_PATH:=${libdir}/gnat${DIRSEP}${ADA_PROJECT_PATH}
+export PATH:=${bindir}:${PATH}
 
 DIRECTORIES=base_widget \
   calendar_combo        \
   composite_widget      \
+  display_switch        \
   doublebuffer          \
   documentation         \
   dynamic_cast          \
   gtk_examples          \
   tutorial              \
-  handlers		\
-  powergnu		\
+  handlers		         \
+  powergnu	          	\
   images                \
   cursors               \
   user_data
@@ -49,6 +50,7 @@
 	  mkdir -p "${DESTDIR}$(examples)/$${dir}"; \
 	  rm -f $${dir}/b~*; \
 	  cp -p $${dir}/*.ad? $${dir}/*.gpr "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
+	  cp -p $${dir}/*.xmp $${dir}/*.png $${dir}/*.tst "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
 	  cp -p $${dir}/Makefile "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
 	  cp -p $${dir}/README "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
 	done

=== projects/Makefile ===
include ../src/Makefile.common

MKDIR = mkdir -p

SOVER=${MAJOR}.${MINOR}

# We want users to be able to override the projects installation directory
# from the command line, so we cannot include DESTDIR directly here
# otherwise they have to call make with
#     make DESTDIR=/foo PRJDIR=/foo/usr/share/gpr
PRJDIR=${prefix}/lib/gnat

install: force
	${MKDIR} "${DESTDIR}${PRJDIR}"
	$(MKDIR) "${DESTDIR}$(libdir)/pkgconfig/"
	${CP} gtkada.pc "${DESTDIR}$(libdir)/pkgconfig/"
	-${RM} "${DESTDIR}${prefix}"/projects/gtkada*

	@# We must pass ${libdir} and not ${DESTDIR}${libdir}, since DESTDIR is
	@# really only a temporary directory for packagers, but the package will
	@# eventually be installed in ${libdir}.
	./generate_prj.sh GtkAda ${DEFAULT_LIBRARY_TYPE} ${SOVER} "" "${libdir}"
	${CP} gtkada.gpr "${DESTDIR}${PRJDIR}"

ifeq ($(HAVE_OPENGL), True)
	./generate_prj.sh GtkAda_GL ${DEFAULT_LIBRARY_TYPE} ${SOVER} opengl "${libdir}"
	${CP} gtkada_gl.gpr "${DESTDIR}${PRJDIR}"
endif	

ifeq ($(HAVE_GNOME), True)
	./generate_prj.sh GtkAda_Gnome ${DEFAULT_LIBRARY_TYPE} ${SOVER} gnome "${libdir}"
	${CP} gtkada_gnome.gpr "${DESTDIR}${PRJDIR}"
endif	

ifeq ($(OS),Windows_NT)
	${CP} gtkada_install_*.gpr "${DESTDIR}${incdir}"
endif

clean: force
	${RM} *.gpr 

force:

=== examples/base_widget/Makefile ===
all:
	gnatmake -Pdefault
run:
	./main
clean: 
	gnat clean -Pdefault

=== examples/composite_widget/Makefile ===
all:
	gnatmake -g -gnata -gnaty -gnatwu main `gtkada-config`
run:
	./main

clean: 
	${RM} main *.o *.ali

=== examples/display_switch/Makefile ===
all:
		gnatmake -Pdisplay_switch

=== examples/documentation/Makefile ===
EXEC=contextual banner toggle glist_traverse tooltips clist draw

all:
	gnatmake -Pdefault.gpr

clean::
	${RM} *.o *.ali b~* ${EXEC}

=== examples/doublebuffer/Makefile ===
all: parameters anim anim2

GNAT_FLAGS = -g -gnata -gnatwu

parameters::
	gnatmake $(GNAT_FLAGS) parameters `gtkada-config`

anim::
	gnatmake $(GNAT_FLAGS) anim `gtkada-config`

anim2::
	gnatmake $(GNAT_FLAGS) anim2 `gtkada-config`

clean:
	${RM} *.o *.ali anim parameters anim2

=== examples/dynamic_cast/Makefile ===
all:
	gnatmake -g -gnata -gnatwu dynamic `gtkada-config`

clean:
	${RM} *.o *.ali b~* dynamic

=== examples/gtk_examples/Makefile ===
EXAMPLES=scribble

all: ${EXAMPLES}

scribble::
	gnatmake -g -gnata -gnatwu $@ `gtkada-config`
clean::
	${RM} *.o *.ali scribble b~*

=== examples/handlers/Makefile ===
all: delete_event specific_tips.o general_tips.o

GNAT_FLAGS = -gnata -gnaty -gnatwu

delete_event:
	gnatmake $(GNAT_FLAGS) delete_event `gtkada-config`

specific_tips.o:
	gnatmake -c $(GNAT_FLAGS) specific_tips `gtkada-config`

general_tips.o:
	gnatmake -c $(GNAT_FLAGS) general_tips `gtkada-config`

clean:
	${RM} *.o *.ali b~* delete_event

=== examples/images/Makefile ===
all:
	gnatmake -Prect
run:
	./rect
clean: 
	gnat clean -Prect

=== examples/powergnu/Makefile ===
CFLAGS = -g -O2 -gnata

EXEC = power

all: $(EXEC)

power: force
	gnatmake -m -Pdefault.gpr

force:

clean:
	rm -f *.o *.ali *~ b~* $(EXEC)

=== debian/changelog ===
libgtkada (2.24.4dfsg-1) unstable; urgency=medium

  * Repackage without GFDL documentation. Closes: #768539.
    - control: drop sphinx build-deps and javascript binary-deps.
    - patches/*, rules, libgtkada-doc.*: do not patch/build/install docs.
    - control: update description of -doc package.
    - copyright, README.source: adjust comments about stripped parts.
    - TODO: no hope to generate the reference manual anymore.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 09 Nov 2014 11:10:15 +0100

libgtkada (2.24.4-2) unstable; urgency=medium

  * Avoid Suggesting: -doc (=binary:Version). During binNMUs, -doc is not
    rebuilt, so =binary:Version cannot be satisfied anymore.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 19:25:08 +0200

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,7 @@
  libx11-dev,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev
-Build-Depends-Indep:
- python-sphinx,
- texlive-fonts-recommended,
- texlive-latex-extra,
- texlive-latex-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://libre.adacore.com/libre/tools/gtkada
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
 Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
@@ -45,7 +40,7 @@
  ${misc:Depends}
 Suggests: libgnomeada2.24.4-dev (= ${binary:Version}),
  libgtkglada2.24.4-dev (= ${binary:Version}),
- libgtkada-doc (= ${binary:Version})
+ libgtkada-doc
 Description: Ada binding for the GTK+ GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
@@ -58,7 +53,7 @@
 Depends: ${ada:Depends},
  libgnomeui-dev, libbonoboui2-dev,
  ${misc:Depends}
-Suggests: libgtkada-doc (=${binary:Version})
+Suggests: libgtkada-doc
 Description: Ada binding for the GNOME GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
@@ -73,7 +68,7 @@
  libgtkgl2.0-dev,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev
-Suggests: libgtkada-doc (= ${binary:Version})
+Suggests: libgtkada-doc
 Description: Ada binding for GTK+ OpenGL extensions (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
@@ -161,7 +156,7 @@
 Section: devel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gnat, libgtkada-doc (=${binary:Version})
+Suggests: gnat, libgtkada-doc
 Replaces: libgtkada2-bin
 Breaks: libgtkada2-bin
 Description: Ada binding for the GTK+ GUI (development utilities)
@@ -173,10 +168,7 @@
 Package: libgtkada-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-# Link to the packaged versions instead of embedding the source.
- libjs-jquery,
- libjs-underscore
+Depends: ${misc:Depends}
 Suggests: gnat
 Replaces: libgtkada2-doc
 Breaks: libgtkada2-doc
@@ -184,5 +176,13 @@
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
  .
- This package contains the User's Guide for GtkAda, in
- HTML, PDF and plain text formats.
+ This package contains examples, lists of known problems and comments
+ about the Debian packaging..
+ .
+ The complete GTKAda user guide cannot be distributed by Debian
+ because it is licensed under the GNU Free Documentation License with
+ Invariant Sections and Cover Texts. The reference manual cannot be
+ generated from source without the user guide.
+ They are published by upstream authors at
+ http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html and
+ http://docs.adacore.com/gtkada-docs/gtkada_ug/_build/html.

=== debian/rules ===
--- 
+++ 
@@ -224,5 +224,5 @@
 	rm -f $(TESTGTK_TGZ)
 
 ######################################################################
-UG_DIR := docs/gtkada_ug
-UG_BUILD := $(UG_DIR)/_build
+
+override_dh_compress:

=== debian/tests/control ===
Tests: link-with-shared
Depends: @, xvfb, xauth
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.
